Bug 236172 - mail/mairix: fix prefix != /usr/local
Summary: mail/mairix: fix prefix != /usr/local
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-03 03:49 UTC by John Hein
Modified: 2019-03-05 04:07 UTC (History)
2 users (show)

See Also:
jjuanino: maintainer-feedback+


Attachments
[patch] fix non-default PREFIX (570 bytes, text/plain)
2019-03-03 03:49 UTC, John Hein
jcfyecrayz: maintainer-approval? (jjuanino)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2019-03-03 03:49:28 UTC
Created attachment 202515 [details]
[patch] fix non-default PREFIX

Building mail/mairix with a non-default PREFIX fails (or if LOCALBASE != /usr/local):


% make PREFIX=/foo stage
 .
 .
===>  Staging for mairix-0.24
 .
 .
===>   Generating temporary packing list
 .
 .
strip: open /usr/ports/mail/mairix/work/stage/foo/bin/mairix failed: No such file or directory
*** Error code 1


The attached patch fixes that by passing --prefix=${PREFIX} to configure.

While here, appease portlint by reordering the HAS_CONFIGURE line in a different section.

QA:
 poudriere - ok
 portlint - ok
Comment 1 Jose G. Juanino 2019-03-04 21:49:47 UTC
Hi, thanks for reporting this bug.

Please, commit this patch.
Comment 2 commit-hook freebsd_committer 2019-03-05 02:17:04 UTC
A commit references this bug:

Author: meta
Date: Tue Mar  5 02:16:38 UTC 2019
New revision: 494671
URL: https://svnweb.freebsd.org/changeset/ports/494671

Log:
  mail/mairix: Fix build with non-default prefix

  PR:		236172
  Submitted by:	John Hein <jcfyecrayz@liamekaens.com>
  Approved by:	jjuanino@gmail.com (maintainer)
  MFH:		2019Q1

Changes:
  head/mail/mairix/Makefile
Comment 3 commit-hook freebsd_committer 2019-03-05 04:06:36 UTC
A commit references this bug:

Author: meta
Date: Tue Mar  5 04:06:00 UTC 2019
New revision: 494675
URL: https://svnweb.freebsd.org/changeset/ports/494675

Log:
  MFH: r494671

  mail/mairix: Fix build with non-default prefix

  PR:		236172
  Submitted by:	John Hein <jcfyecrayz@liamekaens.com>
  Approved by:	jjuanino@gmail.com (maintainer)

  Approved by:	portmgr (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/mail/mairix/Makefile
Comment 4 Koichiro Iwao freebsd_committer 2019-03-05 04:07:13 UTC
Committed to both head and quarterly, thanks!